#!BuildIgnore:	post-build-checks
Summary:	BIRD Internet Routing Daemon
Name:		bird
Version:	1.6.3
Release:	2.1
License:	GPL
Group:		Networking/Daemons
Source:		ftp://bird.network.cz/pub/bird/bird-%{version}.tar.bz2
Source1:	bird.init
Source2:	birdc6
Source3:	bird.init.suse
Buildroot:	%{_tmppath}/%{name}-%{version}
Url:		http://bird.network.cz
PreReq:		/sbin/chkconfig

BuildRequires:	readline-devel flex bison

%description
BIRD is dynamic routing daemon supporting IPv4 and IPv6 versions of routing
protocols BGP, RIP and OSPF.

%prep
%setup -n bird-%{version}

%build
./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --enable-ipv6
make
mv bird bird6
make clean
./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var
make


%install
rm -rf $RPM_BUILD_ROOT/*
make install prefix=$RPM_BUILD_ROOT/usr sysconfdir=$RPM_BUILD_ROOT/etc localstatedir=$RPM_BUILD_ROOT/var
install -s bird6 $RPM_BUILD_ROOT/usr/sbin

cd $RPM_BUILD_ROOT
%if 0%{?fedora_version} || 0%{?rhel_version} || 0%{?centos_version}
install -d etc/rc.d/init.d
install $RPM_SOURCE_DIR/bird.init etc/rc.d/init.d/bird
%endif
%if 0%{?suse_version} || 0%{?sles_version}
install -d etc/init.d
install $RPM_SOURCE_DIR/bird.init.suse etc/init.d/bird
%endif
install $RPM_SOURCE_DIR/birdc6 usr/sbin/birdc6

%post
/sbin/ldconfig
/sbin/chkconfig --add bird

%preun
%stop_on_removal
if [ $1 -eq 0 ]; then
    /sbin/service bird stop &> /dev/null || :
    /sbin/chkconfig --del bird
fi

%postun
%insserv_cleanup

%files
%defattr(-,root,root)
%doc doc/*.html
%doc NEWS README TODO
%config(noreplace) %attr(644,root,root) /etc/bird.conf
%attr(755,root,root) /usr/sbin/bird
%attr(755,root,root) /usr/sbin/bird6
%attr(755,root,root) /usr/sbin/birdc
%attr(755,root,root) /usr/sbin/birdc6
%attr(755,root,root) /usr/sbin/birdcl
%if 0%{?fedora_version} || 0%{?rhel_version} || 0%{?centos_version}
%attr(755,root,root) /etc/rc.d/init.d/bird
%endif
%if 0%{?suse_version} || 0%{?sles_version}
%attr(755,root,root) /etc/init.d/bird
%endif

%changelog
* Mon Jan 29 2018 cs@linux-administrator.com
- Update to release 1.6.3
* Wed Nov  2 2016 cs@linux-administrator.com
- Update to release 1.6.2
* Wed Oct  8 2014 cs@linux-administrator.com
- Update to release 1.4.5
* Sun Jul 13 2014 cs@linux-administrator.com
- Update to release 1.4.4
* Mon Apr 14 2014 cs@linux-administrator.com
- Update to release 1.4.3
* Thu Apr  3 2014 cs@linux-administrator.com
- Update to release 1.4.2
* Wed Apr  2 2014 cs@linux-administrator.com
- Update to release 1.4.1
* Fri Nov 29 2013 cs@linux-administrator.com
- Update to release 1.4.0
* Tue Jul 30 2013 cs@linux-administrator.com
- Update to release 1.3.11
* Fri May 10 2013 cs@linux-administrator.com
- Update to release 1.3.10
* Sat Jan 12 2013 cs@linux-administrator.com
- Update to release 1.3.9
* Tue Aug  7 2012 cs@linux-administrator.com
- Update to release 1.3.8
* Fri Mar 23 2012 cs@linux-administrator.com
- Update to release 1.3.7
* Sun Jan 22 2012 cs@linux-administrator.com
- Update to release 1.3.6
* Thu Jan 12 2012 cs@linux-administrator.com
- Update to release 1.3.5
* Mon Oct 10 2011 cs@linux-administrator.com
- Update to release 1.3.4
